
[color1]Zlib Header[/color1]
{{ 
compression_method = int.from_bytes(analysis.file[0], "little") & 0xF
compression_info =  int.from_bytes(analysis.file[0], "little") // 16
compression_level =  int.from_bytes(analysis.file[1], "little") // 64

compression_level_nice = ("Fastest", "Fast", "Default", "Maximum")


}}
  Compression method:       [normal]{{ compression_method }}[/normal] {{ if compression_method == 8:}}([color6]Deflate[/color6]){{:endif}}
{{ if compression_method == 8:}}
  LZ77 window:              [normal]{{ write(pow(2, compression_info + 8))}}[/normal] bytes
{{:endif}}
  Compression level:        [normal]{{ compression_level}}[/normal] ([color6]{{compression_level_nice[compression_level]}}[/color6])
